**Full name**: projects.locations.tensorboards.experiments.runs.timeSeries.exportTensorboardTimeSeries

Exports a TensorboardTimeSeries' data. data is returned in paginated responses.

### Endpoint

post `https://{service-endpoint}/v1/{tensorboardTimeSeries}:exportTensorboardTimeSeries`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`tensorboardTimeSeries` `string` Required. The resource name of the TensorboardTimeSeries to export data from. Format: `projects/{project}/locations/{location}/tensorboards/{tensorboard}/experiments/{experiment}/runs/{run}/timeSeries/{timeSeries}`

### Request body

The request body contains data with the following structure:
Fields `filter` `string` Exports the TensorboardTimeSeries' data that match the filter expression.
`pageSize` `integer` The maximum number of data points to return per page. The default pageSize is 1000. Values must be between 1 and 10000. Values above 10000 are coerced to 10000.
`pageToken` `string` A page token, received from a previous `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs.timeSeries/exportTensorboardTimeSeries#google.cloud.aiplatform.v1.TensorboardService.ExportTensorboardTimeSeriesData` call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs.timeSeries/exportTensorboardTimeSeries#google.cloud.aiplatform.v1.TensorboardService.ExportTensorboardTimeSeriesData` must match the call that provided the page token.
`orderBy` `string` Field to use to sort the TensorboardTimeSeries' data. By default, TensorboardTimeSeries' data is returned in a pseudo random order.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs.timeSeries/exportTensorboardTimeSeries#google.cloud.aiplatform.v1.TensorboardService.ExportTensorboardTimeSeriesData`.

If successful, the response body contains data with the following structure:
Fields `timeSeriesDataPoints[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/TimeSeriesDataPoint`)`` The returned time series data points.
`nextPageToken` `string` A token, which can be sent as `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs.timeSeries/exportTensorboardTimeSeries#body.request_body.FIELDS.page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.

| JSON representation |
|---|
| ``` { "timeSeriesDataPoints": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/TimeSeriesDataPoint`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `tensorboardTimeSeries` resource:

- `aiplatform.tensorboardTimeSeries.read`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).